|  | Home · All Classes · Modules

# QInputMethodEvent.Attribute Class Reference
[QtGui module]

The QInputMethodEvent.Attribute class stores an input method attribute. More...

### Methods

- __init__ (self, AttributeType t, int s, int l, QVariant val)
- __init__ (self, Attribute)

### Members

- int length
- int start
- AttributeType type
- QVariant value

## Detailed Description

The QInputMethodEvent.Attribute class stores an input method attribute.

## Method Documentation

### Attribute.__init__ (self, AttributeType t, int s, int l, QVariant val)

Constructs an input method attribute. type specifies the type of attribute, start and length the position of the attribute, and value the value of the attribute.

### Attribute.__init__ (self, Attribute)

## Member Documentation

### int length

### int start

### AttributeType type

### QVariant value